---
- name: Debug to YAML file
  ansible.windows.win_copy:
    content: >-
      {{ {'ad_resource_item': ad_resource_item
          ,'ad_resource_item_results': ad_resource_item_results }
      | to_nice_yaml }}
    dest: "{{ ad_resource_item['debug_path'] }}"
  when: ad_resource_item['debug_path'] is defined

- name: Debug message
  ansible.builtin.debug:
    msg: >-
      {{ {'ad_resource_item': ad_resource_item
          ,'ad_resource_item_results': ad_resource_item_results }
      | to_nice_yaml }}
    dest: "{{ ad_resource_item['debug_path'] }}"
  when: ad_resource_item['debug_msg'] | default(False)
